Update deviances by AD object

Updates the date until which the deviances that the specified checker found on the specified Active Directory object are ignored.

Requires the ioe license type. See License Types.

Requires the Read permission on the Profiles, Forests, Domains, and Indicators of Exposure entities (read:profile, read:infrastructure, read:directory, read:checker). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the security profile.

string
required
^[0-9]+$

Specifies the ID of the checker.

string
required
^[0-9]+$

Specifies the ID of the AD object.

Query Params
reasonIds

Limits the update to deviances with the specified reasons.

date-time

Specifies the start of the time range for the deviances to update, as an ISO timestamp.

date-time

Specifies the end of the time range for the deviances to update, as an ISO timestamp.

Body Params

Validates the PATCH /profiles/:profileId/checkers/:checkerId/ad-objects/:adObjectId/deviances request payload

date-time | null
required

Specifies the date and time until which the deviances are ignored, as an ISO timestamp. Set to null to stop ignoring them.

Responses
204

Returned if the deviances were updated successfully.

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!